<?php
// $Id: 6ga-delete.php,v 1.12 2012/12/25 19:02:36 name Exp $
//
// 6ga-delete.php
//
//	Copyright (c) 2005 Hiro Sugawara
//	Licensed under terms of GPL 2.0
//
//	Script to delete recorded program
//	This script actually produces no display.
//
//	Arguments:
//		tab=xyz		where cancellation was initiated
//		file=xyz	basename of file to be cancelled
//		choice=xyz	'delete' or 'keep'
//
include('6ga-common.inc');

$thistab	= @$_GET['tab'];
if (!$thistab) {
	$thistab	= $_COOKIE['tab'];
}
$thisfile	= $_GET['file'];
$choice		= $_GET['choice'];
$bgcolor	= $TABCOLOR[$thistab];
$signature	= substr($thisfile, -8);

setcookie('tab', $thistab);

$alerttext	= '';

//
// Delete a recorded program
//
if ($choice == 'delete') {
	$list = openList($thistab);
	if (readList($list, $thisfile)) {

		$alerttext	= sprintf("Recording of \"%s\" (%s/%s) deleted.",
								$list['iepg']['program-title'],
								$list['iepg']['month'] , $list['iepg']['date']);
		$suffice	= array('iepg', 'stat', 'skip', 'xfrd', 'pipe', 'fifo',
							'avi', 'mp4', 'mpeg', 'mpg', 'mpeg2', 'mpg2');

		foreach ($suffice as $suffix) {
			@unlink($list['dirpath'] . "/$thisfile.$suffix");
		}

		// Clean up stale schedule files
// *** If the command line is ever changed, /etc/sudoers must be updated ***
		system("$SUDO $RCMDPATH/update-schedule -d >/dev/null 2>&1");
	}
	closeList($list);
} else if ($choice == 'refresh') {
	// Make transferred program downloadable again

	$list = openList($thistab);
	readList($list, $thisfile);

	$alerttext	= sprintf("Recording of \"%s\" (%s/%s) is downloadable again.",
								$list['iepg']['program-title'],
								$list['iepg']['month'] , $list['iepg']['date']);
	@unlink($list['dirpath'] . "/$thisfile.xfrd");
	if (($fh = fopen($list['dirpath'] . "/$thisfile.stat2", 'w')) != FALSE) {
		fwrite($fh, "Ready\n");
		fclose($fh);
		rename($list['dirpath'] . "/$thisfile.stat2",
				$list['dirpath'] . "/$thisfile.stat");
	}
}

printDocHeader();
$now	= time();

echo <<<END
<HTML>
<HEAD>
</HEAD>

<BODY BGCOLOR='$bgcolor'>
<SCRIPT LANGUAGE=JavaScript>
<!--
var choice		= '$choice';
var alerttext	= '$alerttext';

window.open('6ga.php?tab=$thistab&_time_=$now', '_6ga');
if (choice != 'keep' && alerttext != '') {
	alert(alerttext);
}
//-->
</SCRIPT>
</BODY>
</HTML>
END;
?>
